Domains

Delete multiple domains

POST
/v3/aftermarket/customers/{customerId}/domains/$each/delete

Delete multiple domains in one operation. It allows for a maximum of 500 domains.

Authorization

sso-key
headerAuthorization<token>

Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET

Path Parameters

customerId*string

An identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.

Match^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$
Default"my"

Header Parameters

X-Request-Id?string

A unique identifier for the request

Request Body

Domains

application/json
  1. body
names*array<>

A list of puny-coded domain names as an array

Rangevalue <= 500

Response Body

Returns an aggregate of each individual domain operation result. Results are keyed by domain name and provides errors and HTTP response code per operation.

application/json
  1. response
[key: string]?
Example Request
curl -X POST 'https://api.afternic.com/v3/aftermarket/customers/my/domains/$each/delete' \  -H 'Content-Type: application/json' \  -d '{  "names": [    "example.com",    "example2.com",    "example3.com"  ]}'
Example Response
{  "example1.com": {    "code": 200  },  "example2.com": {    "code": 422,    "error": {      "code": "VALIDATION_ERROR",      "message": "Unable to process request due to validation errors"    }  }}